## Makefile.am -- Process this file with automake to produce Makefile.in

include_HEADERS = *.h
INCLUDES               = -I$(top_srcdir)/src
ljavadir = $(top_srcdir)/bindings/java
lib_LTLIBRARIES        = libclucene_java.la 
libclucene_java_la_SOURCES  = native/_clucene_binding.cpp native/stdafx.cpp $(top_srcdir)/../src/CLucene/CLMonolithic.cpp

AM_CXXFLAGS= -DOVERRIDE_DEFAULT_CLCONFIG -DCLUCENE_JAVA_EXPORTS

EXTRA_DIST = java/org/apache/clucene/analysis java/org/apache/clucene/document java/org/apache/clucene/ \
            java/org/apache/clucene/index java/org/apache/clucene/queryParser java/org/apache/clucene/ \
            java/org/apache/clucene/search java/org/apache/clucene/store java/org/apache/clucene/support \
            java/org/apache/clucene/util \
             *.i *.h \
             CLjava.vcproj \
             clucene.sln

swig:
	rm -f SWIGTYPE_*.java
	@swig -Wall -I../ -I../../src/ -c++ -fvirtual -java -package CLjava -o _clucene_binding.cpp.tmp ../clucene.i
	$(SHELL) postswig.sh

